Module
Inhalte
Index 🔎︎

# Funktion Cos

Ermittelt den Kosinus eines Winkels. Der Winkel wird im Bogenmaß angegeben. Das Ergebnis liegt im Bereich von -1 bis 1.

Ausgehend von einem Winkel Alpha errechnet die Funktion Cos das Verhältnis der sich dem Winkel anschließenden Seite geteilt durch die Länge der Hypotenuse in einem rechtwinkligen Dreieck.

Cos(Alpha) = Ankathete/Hypotenuse

## Syntax:

    Cos (Zahl)

## Rückgabewert:

Double

## Parameter:

Zahl: Numerischer Ausdruck, der einen im Bogenmaß (Rad) angegebenen Winkel darstellt, dessen Kosinus Sie berechnen möchten.

Zur Umrechnung von Grad in Bogenmaß muss die Gradangabe mit Pi/180 multipliziert werden und zur Umrechnung von Bogenmaß in Grad muss das Bogenmaß mit 180/Pi multipliziert werden.

grad=(radiant*180)/pi

radiant=(grad*pi)/180

Pi ist hierbei die feste Kreiskonstante mit dem gerundeten Wert 3,14159...

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    ' Das folgende Beispielprogramm erlaubt für ein rechtwinkeliges Dreieck die Eingabe von

    ' Ankathete und Winkel (in Grad) und berechnet daraus die Länge der Hypotenuse:

    Sub ExampleCosinus

    ' Pi gerundet = 3.14159

    Dim d1 As Double, dAngle As Double

        d1 = InputBox("Bitte geben Sie die Länge der Ankathete ein: ","Ankathete")

        dAngle = InputBox("Bitte geben Sie den Winkel Alpha ein (in Grad): ","Alpha")

        Print "Die Länge der Hypotenuse beträgt"; (d1 / cos (dAngle * Pi / 180))

    End Sub